;+
; NAME:
;       MAKE_X_COUNTER_TREE
;
; PURPOSE:
;       This procedure makes the counter node branches
;       in the X data selector of the FISv.
;       This procedure is called by FISv.
;
; AUTHOR:
;       ASTRO-F Data Reduction team
;       Web Page: http://www.ir.isas.ac.jp/ASTRO-F/iris_data/
;
; CATEGORY:
;       FIS Data Visualizer
;
; CALLING SEQUENCE:
;       make_x_counter_tree, widgetID
;
; MODIFICATION HISTORY:
;        Written by: Makiuti,S.
;-
pro make_x_counter_tree, widgetID

  parentID = widgetID
  WHILE Widget_Info(parentID, /Parent) NE 0 DO BEGIN
     parentID = Widget_Info(parentID, /Parent)
  ENDWHILE

  Widget_Control, parentID, UPDATE=0

  X_TREE_COUNTER = widget_info(parentID, find_by_uname='X_TREE_COUNTER')

    temp_id2 = Widget_Tree(X_TREE_COUNTER, UNAME='X_COUNTER_CSAA'  $
      ,VALUE='CNT_SAA', UVALUE='XCounter', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_COUNTER, UNAME='X_COUNTER_CGGP'  $
      ,VALUE='CNT_GLITCH_GP', UVALUE='XCounter', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_COUNTER, UNAME='X_COUNTER_CGMT'  $
      ,VALUE='CNT_GLITCH_MT', UVALUE='XCounter', /FOLDER)

  Widget_Control, parentID, /UPDATE

end
