; $Id: make_x_pixflag_tree.pro,v 1.4 2006/10/11 04:21:26 makiuti Exp $
;+
; NAME:
;       MAKE_X_PIXFLAG_TREE
;
; PURPOSE:
;       This procedure makes the pix_flag node branches
;       in the X data selector of the FISv.
;       This procedure is called by FISv.
;
; AUTHOR:
;       ASTRO-F Data Reduction team
;       Web Page: http://www.ir.isas.jaxa.jp/ASTRO-F/iris_data/
;
; CATEGORY:
;       FIS Data Visualizer
;
; CALLING SEQUENCE:
;       make_x_pixflag_tree, widgetID
;
; MODIFICATION HISTORY:
;        Written by: Makiuti,S.
;-
pro make_x_pixflag_tree, widgetID

  parentID = widgetID
  WHILE Widget_Info(parentID, /Parent) NE 0 DO BEGIN
     parentID = Widget_Info(parentID, /Parent)
  ENDWHILE

  Widget_Control, parentID, UPDATE=0

  X_TREE_PIX_FLAG = widget_info(parentID, find_by_uname='X_TREE_PIX_FLAG')

    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_BAD_'  $
      ,VALUE='BAD', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_UANM'  $
      ,VALUE='UNDEF_ANOM', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_AERR'  $
      ,VALUE='ARITH_ERR', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_DEAD' $
      , VALUE='DEAD', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_SATU'  $
      ,VALUE='SATURATE', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_REST'  $
      ,VALUE='RESET', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_RANM'  $
      ,VALUE='RSTANOM', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_NDIF'  $
      ,VALUE='NO_DIFF', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_NRPC'  $
      ,VALUE='NO_RP_CORR', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_NDKC'  $
      ,VALUE='NO_DK_CORR', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_NDCC'  $
      ,VALUE='NO_DCCAL_CORR', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_NTRC'  $
      ,VALUE='NO_TR_CORR', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_NFLF'  $
      ,VALUE='NO_FLAT_FIELD', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_NGPG'  $
      ,VALUE='NO_GPGL', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_NMTG'  $
      ,VALUE='NO_MTGL', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_NABC'  $
      ,VALUE='NO_ABSCAL', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_GPG1'  $
      ,VALUE='GPGL_TYPE1', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_GPG2'  $
      ,VALUE='GPGL_TYPE2', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_GPG3'  $
      ,VALUE='GPGL_TYPE3', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_GPG4'  $
      ,VALUE='GPGL_TYPE4', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_GPGT'  $
      ,VALUE='GPGL_TAIL', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_MTG1'  $
      ,VALUE='MTGL_TYPE1', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_MTG2'  $
      ,VALUE='MTGL_TYPE2', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_MTG3'  $
      ,VALUE='MTGL_TYPE3', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_MTG4'  $
      ,VALUE='MTGL_TYPE4', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_MTGT'  $
      ,VALUE='MTGL_TAIL', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_NPER'  $
      ,VALUE='NO_PERI_CORR', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_SPAK'  $
      ,VALUE='SX_PEAK', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_SRCE'  $
      ,VALUE='SX_SOURCE', UVALUE='XPixFlag', /FOLDER)
    temp_id2 = Widget_Tree(X_TREE_PIX_FLAG, UNAME='X_PIXFLAG_SOBJ'  $
      ,VALUE='SX_OBJ', UVALUE='XPixFlag', /FOLDER)

  Widget_Control, parentID, /UPDATE

end
