; $Id: set_env_fisv.pro,v 1.3 2006/09/01 09:07:51 makiuti Exp $
;
; FIS Data Visualizer (FISv) Procedures
;
; Copyright (c) 2005-2006, ASTRO-F Data Reduction Team.  All rights reserved.
;
;+
; NAME:
;       SET_ENV_FISV
;
; PURPOSE:
;       Initialize environment variables for FISv
;
; AUTHOR:
;       ASTRO-F Data Reduction team
;       Web Page: http://www.ir.isas.ac.jp/ASTRO-F/iris_data/
;
; CATEGORY:
;       FIS Data Visualizer
;
; CALLING SEQUENCE:
;       set_env_fisv
;
; MODIFICATION HISTORY:
;       2005/12/08  Written by Makiuti,S.
;       2006/09/01  Last modified
;-
;
PRO SET_ENV_FISV

  ON_ERROR, 2  ; Return to caller if an error occurs

  ;;#########################################
  ;;  Edit initial setting values for FISv
  ;;#########################################

  ;; Set default values for FISv
  ;; This procedure is called when the FISv starts.

  ;----------------------
  ; Control box
  setenv, 'TREE_Y_SIZE=280'  ; Y-size of X&Y axis trees in the FISv control box. (default:280)
  ;----------------------
  ; Plot window
  setenv, 'ZPlot_X_SIZE=450' ; X-size of a plot window. (default:450)
  setenv, 'ZPlot_Y_SIZE=300' ; Y-size of a plot window. (default:300)
  setenv, 'EXTBTN_MODE=0'    ; Extra button mode On/Off (default:0=Off)
  ;----------------------
  ; Table (Data Table & TSD Editor)
  setenv, 'Table_Col_SIZE=30' ; Y-size of Table and TSD Editor. (default:30)
  ;----------------------
  ; Plot list
  setenv, 'PList_X_SCR_SIZE=900' ; X-size of a plot list window. (default:900)
  setenv, 'PList_Y_SCR_SIZE=680' ; Y-size of a plot list window. (default:680)
  setenv, 'Pix_Plot_X_SIZE=200'  ; X-size of a plot for a pixel. (default:200)
  setenv, 'Pix_Plot_Y_SIZE=160'  ; Y-size of a plot for a pixel. (default:160)
  ;----------------------

  ;; Show message
  print, 'FISv Environment Initialized...'

END
