; $Id: gb_get_logfilename.pro,v 1.1 2003/06/09 00:47:35 kawamura Exp $
;
; Copyright (c) 2002, ASTRO-F Data Reduction Team.  All rights reserved.
;
;+
; NAME:
;	gb_get_logfilename.pro
; PURPOSE:
;	
; CATEGORY:
;	Function.
; CALLING SEQUENCE:
;	Result = gb_get_logfilename('TSD FITS binary extention')
;	[, CAL_CONST_FILE = cal_const_file, SUMMARY = summary])
; INPUTS:
;	
; OUTPUTS:
;	
; RETURN:
;
; RESTRICTIONS:
;	
; PROCEDURE:
;
; EXAMPLE:
;
; REFERENCE:
;	Kawamura et al. 2002 Nov. "ASTRO-F/FIS Survey Data Structure"
; MODIFICATION HISTORY:
; 	May. 2003		Written by A. Kawamura.
;-

FUNCTION gb_get_logfilename

jul=systime(/JULIAN)

caldat,jul,mm,dd,yy,h,m,s

ans = string(yy,mm,dd,h,m,s,format='(I4,I2.2,I2.2,I2.2,I2.2,I2.2,".log")')

return, ans

end
