;
; Copyright (c) 2002, ASTRO-F Data Reduction Team.  All rights reserved.
;
;+
; NAME:
;	mmt_bad_handling
; PURPOSE:
;       Tailor the data at the bad flags
; CATEGORY:
;	Green Box procedure in library in ASTRO-F pipeline.
; CALLING SEQUENCE:
;
; INPUTS:
;       timeline  input data
;       bad_fl    bad flag
;       scale     scale of median to replace data
; OUTPUTS:
;
; RESTRICTIONS:
;	
; PROCEDURE:
;
; EXAMPLE:
;
; REFERENCE:
;
; MODIFICATION HISTORY:
; 	Jul. 2006		Written by T.Takagi
;    
;-
PRO mmt_bad_handling, timeline, bad_fl, scale=scale 

if (n_elements(scale) eq 0) then scale=1


mask = mmt_isolate_signals(bad_fl, 0, sep_limit=1)
n_bad = max(mask)
for ibad=1, n_bad do begin
    id = where(mask eq ibad,cnt)
    i1 = id[0]-scale > 0
    i2 = id[n_elements(id)-1]+scale < n_elements(timeline)-1
    d_med = median(timeline[i1:i2])
    timeline[id]=d_med              
endfor

RETURN 
END
