;#> lu_inverse.dc3
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
; Function:  lu_inverse
;
; Purpose:   Matrix inversion
;
; Header:    inv = lu_inverse, mat, index
;		mat  	real/double	IN : LU decomposed matrix from lu_decomp
;		index	integer		IN : permutation index from lu_decomp
;
; Returns:   inv  	real/double	OUT: inverted matrix
;
; Notes:     adapted from Numerical Recipes, more or less
;	      
;
; History:   DK	24/10/95
;-----------------------------------------------------------------------------
;#<

function lu_inverse, mat, index

forward_function lusol

inverse = mat * 0

sz = size( mat )
nr = sz(1)
for j = 0, nr -1 do begin
  inverse(j,j) = 1
  inverse(j,*) = lusol( mat, index, reform( inverse(j,*) ) )
endfor

return, inverse
end 

