pro make_detoffset_ccf, filename, band=band

hdr = ccf_create_new_header()
hdr.name='OFST' + band
hdr.set_no=001
hdr.rev_no=001
hdr.status='TEST'
hdr.range = [0.0,0.0]
hdr.creator = 'DK'
hdr.comment ='detector offsets for the ' + band + 'W band, wide resp narrow '

nd = ( band EQ 'S' ) ? 100 : 75

ccf = { x_nominal     : fltarr( nd ), $
	y_nominal     : fltarr( nd ), $
	x_distorted   : fltarr( nd ), $
	y_distorted   : fltarr( nd ), $
	ndet	      : nd }

openr, unit, filename, /get_lun

line = ' '
for k = 1, 3 do readf, unit, line, format='(a)'     ; skip headerlines

kk = ( nd * 3 ) / 5
for k = 0, nd-1 do begin
  readf, unit, row, det, xnom, ynom, xdis, ydis, format='(2i8,4f8.3)'
print, row, det, xnom, ynom, xdis, ydis

  ccf.x_nominal[kk]   = xnom
  ccf.y_nominal[kk]   = ynom
  ccf.x_distorted[kk] = xdis
  ccf.y_distorted[kk] = ydis
  kk = ( kk EQ nd - 1 ) ? 0 : kk + 1
endfor

free_lun, unit

r = ccf_write_ccf_file( 'OFST' + band + '_001_001.ccf', ccf, hdr, /overwrite )

end
